require 'rails_helper'

RSpec.describe "settings/payment_method_settings/show", type: :view do
  before(:each) do
    @settings_payment_method_setting = assign(:settings_payment_method_setting, Settings::PaymentMethodSetting.create!(
      :payment_method => "Payment Method",
      :is_active => false,
      :gateway_communication_type => "Gateway Communication Type",
      :gateway_url => "Gateway Url",
      :auth_token => "Auth Token",
      :merchant_account => nil
    ))
  end

  it "renders attributes in <p>" do
    render
    expect(rendered).to match(/Payment Method/)
    expect(rendered).to match(/false/)
    expect(rendered).to match(/Gateway Communication Type/)
    expect(rendered).to match(/Gateway Url/)
    expect(rendered).to match(/Auth Token/)
    expect(rendered).to match(//)
  end
end
